/* -*- Mode: C; tab-width: 8; indent-tabs-mode: t; c-basic-offset: 8 -*- */

/*
 *    Public brutus-logd definitions
 *
 *    Authors:
 *        Jules Colding <colding@42tools.com>
 *
 *    Copyright (C) 2007 OMC Denmark ApS.
 *
 *    This program is free software; you can redistribute it and/or modify
 *    it under the terms of the GNU General Public License as published by
 *    the Free Software Foundation; either version 2 of the License, or
 *    (at your option) any later version.
 *
 *    This program is distributed in the hope that it will be useful,
 *    but WITHOUT ANY WARRANTY; without even the implied warranty of
 *    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 *    GNU General Public License for more details.
 *
 *    You should have received a copy of the GNU General Public License
 *    along with this program; if not, write to the Free Software
 *    Foundation, Inc., 59 Temple Place, Suite 330, Boston, 
 *    MA 02111-1307 USA
 */

#ifndef BRUTUS_LOGD_H
#define BRUTUS_LOGD_H 1

G_BEGIN_DECLS

#define BRUTUS_LOGD_FIFO_MAX_BUF (512)

/* this directory will be created in $HOME */
#ifdef BRUTUS_LOGD_DIR_NAME
#undef BRUTUS_LOGD_DIR_NAME
#endif
#define BRUTUS_LOGD_DIR_NAME ".brutus-logd"

/* this file will be created in $HOME/BRUTUS_LOGD_DIR_NAME/ */
#ifdef BRUTUS_LOGD_PID_FILE_NAME
#undef BRUTUS_LOGD_PID_FILE_NAME
#endif
#define BRUTUS_LOGD_PID_FILE_NAME BRUTUS_LOGD_DIR_NAME"/brutus-logd.pid"

/* this file will be created in $HOME/BRUTUS_LOGD_DIR_NAME/ */
#ifdef BRUTUS_LOGD_FIFO_FILE_NAME
#undef BRUTUS_LOGD_FIFO_FILE_NAME
#endif
#define BRUTUS_LOGD_FIFO_FILE_NAME BRUTUS_LOGD_DIR_NAME"/brutus-logd.fifo"

/* this file will be created in $HOME/BRUTUS_LOGD_DIR_NAME/ */
#ifdef BRUTUS_LOGD_LOG_FILE_NAME
#undef BRUTUS_LOGD_LOG_FILE_NAME
#endif
#define BRUTUS_LOGD_LOG_FILE_NAME BRUTUS_LOGD_DIR_NAME"/brutus.log"

/* this file will be created in $HOME/BRUTUS_LOGD_DIR_NAME/ */
#ifdef BRUTUS_LOGD_REF_FILE_NAME
#undef BRUTUS_LOGD_REF_FILE_NAME
#endif
#define BRUTUS_LOGD_REF_FILE_NAME BRUTUS_LOGD_DIR_NAME"/brutus-logd.ior"

/* 
 * Main log file - will be created in "$HOME/BRUTUS_LOGD_DIR_NAME/".
 * Define BRUTUS_LOG_FILE_NAME=<name> in the environment if you 
 * want debugging to go to another file 
 */
#ifdef BRUTUS_LOG_FILE
#undef BRUTUS_LOG_FILE
#endif
#define BRUTUS_LOG_FILE "brutus.log"

G_END_DECLS

#endif /* BRUTUS_LOGD_H */
