/* -*- Mode: C; tab-width: 8; indent-tabs-mode: t; c-basic-offset: 8 -*- */

/*
 *    Brutus header file for Brutus to/from Camel conversion functions.
 *    Copyright (C) 2005-2007 OMC Denmark ApS.
 *
 *    This program is free software; you can redistribute it and/or modify
 *    it under the terms of the GNU General Public License as published by
 *    the Free Software Foundation; either version 2 of the License, or
 *    (at your option) any later version.
 *
 *    This program is distributed in the hope that it will be useful,
 *    but WITHOUT ANY WARRANTY; without even the implied warranty of
 *    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 *    GNU General Public License for more details.
 *
 *    You should have received a copy of the GNU General Public License
 *    along with this program; if not, write to the Free Software
 *    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
 */

#ifndef _BRUTUS_CAMEL_H_
#define _BRUTUS_CAMEL_H_

#include <camel/camel-mime-message.h>
#include <camel/camel-exception.h>

#include <idl_output/types.h>
#include <idl_output/IMessage.h>
#include <idl_output/IMAPISession.h>

G_BEGIN_DECLS

/*
 * Will extract all properties from "message" that needs to be set on a MAPI
 * message object suitable for email.
 *
 * Returns TRUE on success, FALSE otherwise with extended error 
 * information in "ex".
 */
extern gboolean brutus_camel_mime_message_to_mapi(CamelMimeMessage *message, 
						  BRUTUS_IMessage mapi_message,
						  BRUTUS_IMAPISession mapi_session,
						  PortableServer_POA poa,
						  const BRUTUS_seq_SPropValue *ex_prop_values,
						  CamelException *ex);

G_END_DECLS

#endif // _BRUTUS_CAMEL_H_
