/* -*- Mode: C; tab-width: 8; indent-tabs-mode: t; c-basic-offset: 8 -*- */

/*
 *    Brutus header file for Brutus SMTP utility functions.
 *    Copyright (C) 2005-2007 OMC Denmark ApS.
 *
 *    This program is free software; you can redistribute it and/or modify
 *    it under the terms of the GNU General Public License as published by
 *    the Free Software Foundation; either version 2 of the License, or
 *    (at your option) any later version.
 *
 *    This program is distributed in the hope that it will be useful,
 *    but WITHOUT ANY WARRANTY; without even the implied warranty of
 *    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 *    GNU General Public License for more details.
 *
 *    You should have received a copy of the GNU General Public License
 *    along with this program; if not, write to the Free Software
 *    Foundation, Inc., 59 Temple Place, Suite 330, Boston,
 *    MA 02111-1307 USA
 */

#ifndef _BRUTUS_SMTP_H_
#define _BRUTUS_SMTP_H_

#include <camel/camel-mime-utils.h>

G_BEGIN_DECLS

/*
 * Will return an unfolded version of the RFC822 message header or NULL.
 */
extern char *brutus_unfold_rfc822_header(const char *rfc822_header);

/*
 * Will return a raw camel header constructed from the RFC822 message 
 * header or NULL. rfc822_header must be in unfolded form. Folded headers 
 * will not work.
 */
extern struct _camel_header_raw *brutus_get_camel_header_raw(const char *rfc822_header);


G_END_DECLS

#endif /* _BRUTUS_SMTP_H_ */
